Bug 259143

Summary: science/orthanc-mysql: Update to 4.3
Product: Ports & Packages Reporter: Frank Scholl <maintainer.freebsd>
Component: Individual Port(s)Assignee: Nuno Teixeira <eduardo>
Status: Closed FIXED    
Severity: Affects Only Me CC: eduardo
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://hg.orthanc-server.com/orthanc-databases/file/default/MySQL/NEWS
Attachments:
Description Flags
science_orthanc-mysql-4.3.diff
maintainer.freebsd: maintainer-approval+
science_orthanc-mysql-4.3.diff maintainer.freebsd: maintainer-approval+

Description Frank Scholl 2021-10-13 16:53:11 UTC
- poudriere successful on aarch64 and amd64
- update to version 4.3
Comment 1 Frank Scholl 2021-10-13 16:55:25 UTC
Created attachment 228671 [details]
science_orthanc-mysql-4.3.diff
Comment 2 Nuno Teixeira freebsd_committer 2021-10-14 09:30:46 UTC
Hello,

1. Makefile needs some better order:
---
# USES=cmake related variables
+CMAKE_ARGS
+CMAKE_OFF
CMAKE_SOURCE_PATH
-CMAKE_OFF
-CMAKE_ARGS

# CFLAGS/CXXFLAGS/LDFLAGS block
+CFLAGS
CXXFLAGS
-CFLAGS

Cheers
Comment 3 Frank Scholl 2021-10-14 15:06:54 UTC
Created attachment 228700 [details]
science_orthanc-mysql-4.3.diff

- changed the order of the Makefile variables.
Comment 4 commit-hook freebsd_committer 2021-10-15 09:49:39 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=83a3ec5958d0638476ac0771122ee5fb0410f71a

commit 83a3ec5958d0638476ac0771122ee5fb0410f71a
Author:     Frank Scholl <maintainer.freebsd@xpoundit.com>
AuthorDate: 2021-10-15 09:46:33 +0000
Commit:     Nuno Teixeira <eduardo@FreeBSD.org>
CommitDate: 2021-10-15 09:48:25 +0000

    science/orthanc-mysql: Update to 4.3

    ChangeLog:
    https://hg.orthanc-server.com/orthanc-databases/file/default/MySQL/NEWS

    PR:             259143

 science/orthanc-mysql/Makefile | 10 ++++++----
 science/orthanc-mysql/distinfo |  6 +++---
 2 files changed, 9 insertions(+), 7 deletions(-)
Comment 5 Nuno Teixeira freebsd_committer 2021-10-15 09:50:12 UTC
Committed thanks!